Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000745KdenliveFile Loadingpublic2009-04-04 08:452009-06-18 01:51
Reportersubik 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.3 
Summary0000745: kdenlive crashes opening file
Descriptionit looks like the file(project) is loaded, then it waits for about 1s, then kdenlive crashes.

I can upload the project file if it's required.

all libs are from SVN trunk.
Additional InformationThis is a logfile of running kdenlive through gdb. You may want to visit http://www.kdenlive.org/mantis/view_all_bug_page.php [^] and attach this file to a proper bug
Kdenlive was installed by Kdenlive Builder Wizard 0.9.9
The following configuration variables was used
ACTION_COMPILE_INSTALL=1 ACTION_GET_COMPILE_INSTALL=0 ACTION_GET_ONLY=0 AUTO_APPEND_DATE=0 CREATE_STARTUP_SCRIPT=1 ENABLE_FREI0R=0 FFMPEG_ADDITIONAL_OPTIONS= FFMPEG_HEAD=1 FFMPEG_REVISION=18249 FFMPEG_SUPPORT_AAC=1 FFMPEG_SUPPORT_H264=1 FFMPEG_SUPPORT_MP3=1 FFMPEG_SUPPORT_THEORA=1 INSTALL_AS_ROOT=0 INSTALL_DIR=/home/subzero/kdenlive/TRUNK KDENLIVE_HEAD=1 KDENLIVE_REVISION=3187 MLTPP_HEAD=1 MLTPP_REVISION=1380 MLT_DISABLE_QIMAGE=0 MLT_DISABLE_SOX=1 MLT_HEAD=1 MLT_REVISION=1380 QT_INCLUDE_DIR=/usr/include/qt4 QT_LIB_DIR=/usr/lib SOURCES_CLEAN=1 SOURCE_DIR=/home/subzero/kdenlive/wizard/ USE_KDE4=1 VERSION=0.9.9
Information about revisions of modules at the time of compilation:
ffmpeg: Revision: 18329 Last Changed Date: 2009-04-03 23:28:04 +0200 (Fri, 03 Apr 2009)
mlt: Revision: 1382 Last Changed Date: 2009-04-03 04:38:30 +0200 (Fri, 03 Apr 2009)
mlt++: Revision: 1382 Last Changed Date: 2009-04-02 07:52:55 +0200 (Thu, 02 Apr 2009)
kdenlive: Revision: 3207 Last Changed Date: 2009-04-04 03:33:40 +0200 (Sat, 04 Apr 2009)
uname -a at time of compilation:
Linux vladkyne-karen 2.6.25.20-0.1-pae #1 SMP 2008-12-12 20:30:38 +0100 i686 i686 i386 GNU/Linux
Information about cc at the time of compilation:
Using built-in specs.
Target: i586-suse-linux
Configured with: ../configure --prefix=/usr --with-local-prefix=/usr/local --infodir=/usr/share/info --mandir=/usr/share/man --libdir=/usr/lib --libexecdir=/usr/lib --enable-languages=c,c++,objc,fortran,obj-c++,java,ada --enable-checking=release --with-gxx-include-dir=/usr/include/c++/4.3 --enable-ssp --disable-libssp --with-bugurl=http://bugs.opensuse.org/ [^] --with-pkgversion='SUSE Linux' --disable-libgcj --with-slibdir=/lib --with-system-zlib --enable-__cxa_atexit --enable-libstdcxx-allocator=new --disable-libstdcxx-pch --program-suffix=-4.3 --enable-version-specific-runtime-libs --enable-linux-futex --without-system-libunwind --with-cpu=generic --build=i586-suse-linux
Thread model: posix
gcc version 4.3.1 20080507 (prerelease) [gcc-4_3-branch revision 135036] (SUSE Linux)
/bin/rpm
Found rpm - running rpm -qa to grep libc6
libcompizconfig-0.7.4-28.1
libcaca-0.9_0.99.beta12-0.pm.1
libcap2-2.08-2.1
libcdio_paranoia0-0.80-3.1
glibc-i18ndata-2.8-14.2
glibc-info-2.8-14.2
libcurl-devel-7.18.1-18.2
libcom_err-devel-1.40.8-20.1
libcroco-0.6.1-123.1
glibc-locale-2.8-14.2
libcom_err2-1.40.8-20.1
libcdio7-0.80-3.1
glibc-2.8-14.2
libcap-1.10-43
libcurl4-7.18.1-18.2
glibc-devel-2.8-14.2
libcdio_cdda0-0.80-3.1
libcroco-0_6-3-0.6.1-123.1
Information about kde 4 at the time of compilation:
Qt: 4.4.3
KDE: 4.2.2 (KDE 4.2.2) "release 111"
kde4-config: 1.0
uname -a at runtime:
Linux vladkyne-karen 2.6.25.20-0.1-pae #1 SMP 2008-12-12 20:30:38 +0100 i686 i686 i386 GNU/Linux
Catting etc/lsb-release
LSB_VERSION="core-2.0-noarch:core-3.0-noarch:core-2.0-ia32:core-3.0-ia32"
Information about kde 4 at runtime:
Qt: 4.4.3
KDE: 4.2.2 (KDE 4.2.2) "release 111"
kde4-config: 1.0
Information about kde 3 at runtime:
Qt: 3.3.8b
KDE: 3.5.9 "release 49.1"
kde-config: 1.0
INSTALL_DIR=/home/subzero/kdenlive/TRUNK
PATH=/home/subzero/kdenlive/TRUNK/bin:/home/subzero/bin:/usr/local/bin:/usr/bin:/bin:/usr/bin/X11:/usr/X11R6/bin:/usr/games:/opt/kde3/bin:/usr/lib/jvm/jre/bin:/usr/lib/mit/bin:/usr/lib/mit/sbin:/usr/lib/qt3/bin
LD_LIBRARY_PATH=/home/subzero/kdenlive/TRUNK/lib:/home/subzero/kdenlive/TRUNK/lib/frei0r-1:
MLT_AVFORMAT_THREADS=2
MLT_PATH=/home/subzero/kdenlive/TRUNK
MLT_REPOSITORY=/home/subzero/kdenlive/TRUNK/lib/mlt
MLT_DATA=/home/subzero/kdenlive/TRUNK/share/mlt
MLT_PROFILES_PATH=/home/subzero/kdenlive/TRUNK/share/mlt/profiles
MLT_FREI0R_PLUGIN_PATH=/home/subzero/kdenlive/TRUNK/lib/frei0r-1/:/usr/lib/frei0r-1:/usr/local/lib/frei0r-1:/opt/local/lib/frei0r-1
Running ldd /home/subzero/kdenlive/TRUNK/bin/kdenlive
    linux-gate.so.1 => (0xffffe000)
    libmlt.so.1 => /home/subzero/kdenlive/TRUNK/lib/libmlt.so.1 (0xb806a000)
    libmlt++.so.1 => /home/subzero/kdenlive/TRUNK/lib/libmlt++.so.1 (0xb8049000)
    libnepomuk.so.4 => /usr/lib/libnepomuk.so.4 (0xb7fbd000)
    libkdeui.so.5 => /usr/lib/libkdeui.so.5 (0xb7c65000)
    libkio.so.5 => /usr/lib/libkio.so.5 (0xb7a1c000)
    libknewstuff2.so.4 => /usr/lib/libknewstuff2.so.4 (0xb79c1000)
    libknotifyconfig.so.4 => /usr/lib/libknotifyconfig.so.4 (0xb79b0000)
    libQtSvg.so.4 => /usr/lib/libQtSvg.so.4 (0xb7963000)
    libQtNetwork.so.4 => /usr/lib/libQtNetwork.so.4 (0xb7865000)
    libQtXml.so.4 => /usr/lib/libQtXml.so.4 (0xb7822000)
    libkdecore.so.5 => /usr/lib/libkdecore.so.5 (0xb760a000)
    libQtDBus.so.4 => /usr/lib/libQtDBus.so.4 (0xb75a1000)
    libQtCore.so.4 => /usr/lib/libQtCore.so.4 (0xb737c000)
    libpthread.so.0 => /lib/libpthread.so.0 (0xb7364000)
    libQtGui.so.4 => /usr/lib/libQtGui.so.4 (0xb6a86000)
    libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0xb6996000)
    libm.so.6 => /lib/libm.so.6 (0xb6970000)
    libgcc_s.so.1 => /lib/libgcc_s.so.1 (0xb6961000)
    libc.so.6 => /lib/libc.so.6 (0xb681e000)
    libdl.so.2 => /lib/libdl.so.2 (0xb681a000)
    libmiracle.so.1 => /home/subzero/kdenlive/TRUNK/lib/libmiracle.so.1 (0xb680e000)
    libsoprano.so.4 => /usr/lib/libsoprano.so.4 (0xb6728000)
    libsopranoclient.so.1 => /usr/lib/libsopranoclient.so.1 (0xb66d1000)
    libSM.so.6 => /usr/lib/libSM.so.6 (0xb66c8000)
    libICE.so.6 => /usr/lib/libICE.so.6 (0xb66ae000)
    libX11.so.6 => /usr/lib/libX11.so.6 (0xb658d000)
    libXext.so.6 => /usr/lib/libXext.so.6 (0xb657e000)
    libXft.so.2 => /usr/lib/libXft.so.2 (0xb6569000)
    libXau.so.6 => /usr/lib/libXau.so.6 (0xb6565000)
    libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0xb655f000)
    libXpm.so.4 => /usr/lib/libXpm.so.4 (0xb654e000)
    libXtst.so.6 => /usr/lib/libXtst.so.6 (0xb6548000)
    libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0xb653e000)
    libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0xb6538000)
    libXrender.so.1 => /usr/lib/libXrender.so.1 (0xb652d000)
    libz.so.1 => /lib/libz.so.1 (0xb6519000)
    libstreamanalyzer.so.0 => /usr/lib/libstreamanalyzer.so.0 (0xb64a2000)
    libstreams.so.0 => /usr/lib/libstreams.so.0 (0xb6469000)
    libsolid.so.4 => /usr/lib/libsolid.so.4 (0xb63fd000)
    libfam.so.0 => /usr/lib/libfam.so.0 (0xb63f2000)
    libacl.so.1 => /lib/libacl.so.1 (0xb63ea000)
    libattr.so.1 => /lib/libattr.so.1 (0xb63e4000)
    libphonon.so.4 => /usr/lib/libphonon.so.4 (0xb63a6000)
    libpng12.so.0 => /usr/lib/libpng12.so.0 (0xb637f000)
    libXi.so.6 => /usr/lib/libXi.so.6 (0xb6375000)
    libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0xb636d000)
    libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0xb6369000)
    libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0xb62f6000)
    libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0xb62c8000)
    libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0xb62c2000)
    librt.so.1 => /lib/librt.so.1 (0xb62b8000)
    libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0xb6203000)
    libbz2.so.1 => /lib/libbz2.so.1 (0xb61f3000)
    libresolv.so.2 => /lib/libresolv.so.2 (0xb61e0000)
    libdbus-1.so.3 => /lib/libdbus-1.so.3 (0xb61a8000)
    /lib/ld-linux.so.2 (0xb808e000)
    libvalerie.so.1 => /home/subzero/kdenlive/TRUNK/lib/libvalerie.so.1 (0xb619d000)
    libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0xb619a000)
    libxcb.so.1 => /usr/lib/libxcb.so.1 (0xb6181000)
    libxml2.so.2 => /usr/lib/libxml2.so.2 (0xb6034000)
    libexpat.so.1 => /lib/libexpat.so.1 (0xb600c000)
    libpcre.so.0 => /usr/lib/libpcre.so.0 (0xb5fe2000)
Running gdb --args /home/subzero/kdenlive/TRUNK/bin/kdenlive --nocrashhandler --mlt-path /home/subzero/kdenlive/TRUNK
[?1034hGNU gdb 6.8
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> [^]
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "i586-suse-linux"...
(gdb) (gdb) set pagination off
(gdb) (gdb) set environment LANG = cs_CZ.UTF-8(gdb) (gdb) run
(gdb) Starting program: /home/subzero/kdenlive/TRUNK/bin/kdenlive --nocrashhandler --mlt-path /home/subzero/kdenlive/TRUNK
[Thread debugging using libthread_db enabled]
[New Thread 0xb5f046d0 (LWP 22263)]
kdenlive(22263) MainWindow::parseProfiles: RESULTING� MLT PATH: "/home/subzero/kdenlive/TRUNK/share/mlt/profiles/"
kdenlive(22263) initEffects::parseEffectFiles: // INIT EFFECT SEARCH
kdenlive(22263) Render::Render: ////////// USING� PROFILE: hdv_1080_50i
kdenlive(22263) Monitor::Monitor: /////// BUILDING MONITOR, ID: 77594937
kdenlive(22263) Render::Render: ////////// USING� PROFILE: hdv_1080_50i
kdenlive(22263) Monitor::Monitor: /////// BUILDING MONITOR, ID: 77595041
kdenlive(22263) RecMonitor::RecMonitor: /////// BUILDING MONITOR, ID: 77595086
QStatusBar::insertPermanentWidget: Index out of range (5), appending widget
QStatusBar::insertPermanentWidget: Index out of range (7), appending widget
kdenlive(22263): Shortcut for KAction "monitor_play_zone" "PÅ?ehrát výbÄ?r" set with QShortcut::setShortcut()! See KAction documentation.
kdenlive(22263): Shortcut for KAction "monitor_loop_zone" "Smyčka" set with QShortcut::setShortcut()! See KAction documentation.
kdenlive(22263) MainWindow::loadPlugins: // PARSING FIOLER: "/usr/lib/kde4/"
kdenlive(22263) MainWindow::loadPlugins: // PARSING FIOLER: "/home/subzero/kdenlive/TRUNK/lib/kde4/"
kdenlive(22263) MainWindow::loadPlugins: // FOUND PLUGIN: "libkdenlive_sampleplugin.so" = "/home/subzero/kdenlive/TRUNK/lib/kde4/libkdenlive_sampleplugin.so"
kdenlive(22263) MainWindow::addToMenu: // ADD to MENU ("Countdown", "Noise")
kdenlive(22263) KdenliveDoc::setProfilePath: KDEnnlive document, init timecode from path: "hdv_1080_50i" , 25
kdenlive(22263) KdenliveDoc::KdenliveDoc: KDEnlive document, init timecode: 25
kdenlive(22263) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 4 , DURATION: 0
kdenlive(22263) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 3 , DURATION: 0
kdenlive(22263) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 2 , DURATION: 0
kdenlive(22263) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 1 , DURATION: 0
kdenlive(22263) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 0 , DURATION: 0
kdenlive(22263) TrackView::parseDocument: /////////// TOTAL PROJECT DURATION: 300
kdenlive(22263) Render::setSceneList: // NEW SCENE LIST DURATION SET TO: 0
kdenlive(22263) MainWindow::connectDocument: /////////////////// CONNECTING� DOC TO� PROJECT� VIEW ////////////////
kdenlive(22263) MainWindow::connectDocument: /////////////////// CONNECTING� DOC TO� PROJECT� VIEW ////////////////
kdenlive(22263) Render::stop: ///////////// RENDER STOPPED: "project"
kdenlive(22263) Render::stop: ///////////// RENDER STOP2-------
kdenlive(22263) Render::stop: ///////////// RENDER STOP3-------
kdenlive(22263) Render::start: ----- STARTING MONITOR: "clip"
kdenlive(22263) Render::start: ----- MONITOR: "clip" WAS STOPPED
kdenlive(22263) Render::start: ----- MONITOR: "clip" REFRESH
kdenlive(22263) Render::stop: ///////////// RENDER STOPPED: "clip"
kdenlive(22263) Render::stop: ///////////// RENDER STOP2-------
kdenlive(22263) Render::stop: ///////////// RENDER STOP3-------
kdenlive(22263) Render::start: ----- STARTING MONITOR: "project"
kdenlive(22263) Render::start: ----- MONITOR: "project" WAS STOPPED
kdenlive(22263) Render::start: ----- MONITOR: "project" REFRESH
kdenlive(22263) Render::stop: ///////////// RENDER STOPPED: "project"
kdenlive(22263) Render::stop: ///////////// RENDER STOP2-------
kdenlive(22263) Render::stop: ///////////// RENDER STOP3-------
kdenlive(22263) Render::start: ----- STARTING MONITOR: "clip"
kdenlive(22263) Render::start: ----- MONITOR: "clip" WAS STOPPED
kdenlive(22263) Render::start: ----- MONITOR: "clip" REFRESH
kdenlive(22263) Render::resetProfile: reset to same profile, nothing to do
kdenlive(22263) Render::stop: ///////////// RENDER STOPPED: "clip"
kdenlive(22263) Render::stop: ///////////// RENDER STOP2-------
kdenlive(22263) Render::stop: ///////////// RENDER STOP3-------
kdenlive(22263) Render::start: ----- STARTING MONITOR: "project"
kdenlive(22263) Render::start: ----- MONITOR: "project" WAS STOPPED
kdenlive(22263) Render::start: ----- MONITOR: "project" REFRESH
kdenlive(22263) Render::resetProfile: reset to same profile, nothing to do
QFile::remove: Empty or null file name
kdenlive(22263) EffectStackEdit::transferParamDesc: in
kdenlive(22263) KdenliveDoc::convertDocument: Opening a document with version 0.82
kdenlive(22263) KdenliveDoc::setProfilePath: KDEnnlive document, init timecode from path: "hdv_1080_50i" , 25
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "1"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "3"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "5"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "7"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "8"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "10"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "11"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "18"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "20"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "21"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "22"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "23"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "24"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "25"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "26"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "27"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "28"
kdenlive(22263) KdenliveDoc::KdenliveDoc: // NLIVE PROD: "29"
kdenlive(22263) KdenliveDoc::KdenliveDoc: Reading file: "/home/subzero/masturbace/rockcafe.kdenlive" , found clips: 19
kdenlive(22263) KdenliveDoc::KdenliveDoc: KDEnlive document, init timecode: 25
[New Thread 0xb11ebb90 (LWP 22266)]
[New Thread 0xb09eab90 (LWP 22267)]
[Thread 0xb11ebb90 (LWP 22266) exited]
[Thread 0xb09eab90 (LWP 22267) exited]
[New Thread 0xb09eab90 (LWP 22268)]
[New Thread 0xb11ebb90 (LWP 22269)]
[Thread 0xb09eab90 (LWP 22268) exited]
[Thread 0xb11ebb90 (LWP 22269) exited]
[New Thread 0xb11ebb90 (LWP 22270)]
[New Thread 0xb09eab90 (LWP 22271)]
[Thread 0xb11ebb90 (LWP 22270) exited]
[Thread 0xb09eab90 (LWP 22271) exited]
[New Thread 0xb09eab90 (LWP 22272)]
[New Thread 0xb11ebb90 (LWP 22273)]
[Thread 0xb09eab90 (LWP 22272) exited]
[Thread 0xb11ebb90 (LWP 22273) exited]
[New Thread 0xb11ebb90 (LWP 22274)]
[New Thread 0xb09eab90 (LWP 22275)]
kdenlive(22263) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 6 , DURATION: 586
kdenlive(22263) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 5 , DURATION: 2628
kdenlive(22263) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 4 , DURATION: 2761
kdenlive(22263) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 3 , DURATION: 2761
kdenlive(22263) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 2 , DURATION: 2761
kdenlive(22263) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 1 , DURATION: 2436
kdenlive(22263) TrackView::slotAddProjectTrack: CANNOT INSERT CLIP "producer0"
kdenlive(22263) TrackView::slotAddProjectTrack: CANNOT INSERT CLIP "producer0"
kdenlive(22263) TrackView::slotAddProjectTrack: CANNOT INSERT CLIP "producer0"
kdenlive(22263) TrackView::slotAddProjectTrack: CANNOT INSERT CLIP "producer0"
kdenlive(22263) TrackView::slotAddProjectTrack: ************* ADD DOC TRACK 0 , DURATION: 2628
kdenlive(22263) TrackView::parseDocument: /////////// TOTAL PROJECT DURATION: 2761
[Thread 0xb11ebb90 (LWP 22274) exited]
[Thread 0xb09eab90 (LWP 22275) exited]
kdenlive(22263) Render::setSceneList: // NEW SCENE LIST DURATION SET TO: 2761
kdenlive(22263) MainWindow::connectDocument: /////////////////// CONNECTING� DOC TO� PROJECT� VIEW ////////////////
kdenlive(22263) Render::stop: ///////////// RENDER STOPPED: "project"
kdenlive(22263) Render::stop: ///////////// RENDER STOP2-------
kdenlive(22263) Render::stop: ///////////// RENDER STOP3-------
kdenlive(22263) Render::start: ----- STARTING MONITOR: "clip"
kdenlive(22263) Render::start: ----- MONITOR: "clip" WAS STOPPED
kdenlive(22263) Render::start: ----- MONITOR: "clip" REFRESH
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(22263) KThumb::getAudioThumbs: reading audio thumbs from file
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(22263) KThumb::getAudioThumbs: reading audio thumbs from file
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(22263) KThumb::getAudioThumbs: reading audio thumbs from file
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(22263) KThumb::getAudioThumbs: reading audio thumbs from file
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(22263) KThumb::getAudioThumbs: reading audio thumbs from file
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: "1"
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: "1"
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: "1"
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: "1"
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: "1"
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: "1"
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(22263) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(22263) Render::resetProfile: reset to same profile, nothing to do
kdenlive(22263) Render::stop: ///////////// RENDER STOPPED: "clip"
kdenlive(22263) Render::stop: ///////////// RENDER STOP2-------
kdenlive(22263) Render::stop: ///////////// RENDER STOP3-------
kdenlive(22263) Render::start: ----- STARTING MONITOR: "project"
kdenlive(22263) Render::start: ----- MONITOR: "project" WAS STOPPED
kdenlive(22263) Render::start: ----- MONITOR: "project" REFRESH
kdenlive(22263) Render::resetProfile: reset to same profile, nothing to do
[New Thread 0xb09eab90 (LWP 22276)]
[New Thread 0xb11ebb90 (LWP 22277)]
[Thread 0xb09eab90 (LWP 22276) exited]
[Thread 0xb11ebb90 (LWP 22277) exited]
[New Thread 0xb11ebb90 (LWP 22278)]
[New Thread 0xb09eab90 (LWP 22279)]
[Thread 0xb11ebb90 (LWP 22278) exited]
[Thread 0xb09eab90 (LWP 22279) exited]
[New Thread 0xb09eab90 (LWP 22280)]
[New Thread 0xb11ebb90 (LWP 22281)]
[Thread 0xb09eab90 (LWP 22280) exited]
[Thread 0xb11ebb90 (LWP 22281) exited]
[New Thread 0xb11ebb90 (LWP 22282)]
[New Thread 0xb09eab90 (LWP 22283)]
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb11ebb90 (LWP 22282)]
0xb229f1ad in transition_get_image (a_frame=0xaea146e8, image=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at transition_composite.c:601
601 *dest_buf++ = src[ x >> 16 ] ^ invert;
Current language: auto; currently c
(gdb) bt
(gdb) #0 0xb229f1ad in transition_get_image (a_frame=0xaea146e8, image=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at transition_composite.c:601
#1 0xb7f9a974 in mlt_frame_get_image (this=0xaea146e8, buffer=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at mlt_frame.c:261
0000002 0xb7fac0de in producer_get_image (this=0x959c920, buffer=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at mlt_tractor.c:274
0000003 0xb7f9a974 in mlt_frame_get_image (this=0x959c920, buffer=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at mlt_frame.c:261
0000004 0xb465e685 in filter_get_image (this=0x959c920, image=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at filter_avcolour_space.c:104
0000005 0xb7f9a974 in mlt_frame_get_image (this=0x959c920, buffer=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at mlt_frame.c:261
0000006 0xb467ca05 in consumer_thread (arg=0x8cd7928) at consumer_sdl_still.c:457
0000007 0xb7290175 in start_thread () from /lib/libpthread.so.0
0000008 0xb6811dae in clone () from /lib/libc.so.6
(gdb) thread apply all bt
(gdb)
Thread 19 (Thread 0xb09eab90 (LWP 22283)):
#0 0xffffe430 in __kernel_vsyscall ()
#1 0xb7293f42 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
0000002 0xb7fa88e1 in mlt_consumer_put_frame (this=0x8cd7928, frame=0xaea0d238) at mlt_consumer.c:451
0000003 0xb467bbf7 in consumer_thread (arg=0x8cc85d8) at consumer_sdl_preview.c:348
0000004 0xb7290175 in start_thread () from /lib/libpthread.so.0
0000005 0xb6811dae in clone () from /lib/libc.so.6
Thread 18 (Thread 0xb11ebb90 (LWP 22282)):
#0 0xb229f1ad in transition_get_image (a_frame=0xaea146e8, image=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at transition_composite.c:601
#1 0xb7f9a974 in mlt_frame_get_image (this=0xaea146e8, buffer=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at mlt_frame.c:261
0000002 0xb7fac0de in producer_get_image (this=0x959c920, buffer=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at mlt_tractor.c:274
0000003 0xb7f9a974 in mlt_frame_get_image (this=0x959c920, buffer=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at mlt_frame.c:261
0000004 0xb465e685 in filter_get_image (this=0x959c920, image=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at filter_avcolour_space.c:104
0000005 0xb7f9a974 in mlt_frame_get_image (this=0x959c920, buffer=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at mlt_frame.c:261
0000006 0xb467ca05 in consumer_thread (arg=0x8cd7928) at consumer_sdl_still.c:457
0000007 0xb7290175 in start_thread () from /lib/libpthread.so.0
0000008 0xb6811dae in clone () from /lib/libc.so.6
Thread 1 (Thread 0xb5f046d0 (LWP 22263)):
#0 0xffffe430 in __kernel_vsyscall ()
#1 0xb680aed1 in select () from /lib/libc.so.6
0000002 0xb60af225 in ?? () from /usr/lib/libxcb.so.1
0000003 0xb60af92e in ?? () from /usr/lib/libxcb.so.1
0000004 0xb60aff6d in xcb_send_request () from /usr/lib/libxcb.so.1
0000005 0xb64f73c6 in _XPutXCBBuffer () from /usr/lib/libX11.so.6
0000006 0xb64f7790 in ?? () from /usr/lib/libX11.so.6
0000007 0xb64e4396 in XPutImage () from /usr/lib/libX11.so.6
0000008 0xb6b9ca7c in ?? () from /usr/lib/libQtGui.so.4
0000009 0xb6b99b51 in ?? () from /usr/lib/libQtGui.so.4
0000010 0xb6b8e6d0 in QPixmap::fill () from /usr/lib/libQtGui.so.4
0000011 0xb7d072d3 in ?? () from /usr/lib/libkdeui.so.5
0000012 0xb6b634e7 in QIcon::pixmap () from /usr/lib/libQtGui.so.4
0000013 0xb6d6e546 in QCommonStyle::drawControl () from /usr/lib/libQtGui.so.4
0000014 0xb7d4fb53 in KStyle::drawControl () from /usr/lib/libkdeui.so.5
0000015 0xb5dbb002 in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
0000016 0xb7d4e204 in KStyle::drawComplexControl () from /usr/lib/libkdeui.so.5
0000017 0xb5dba967 in ?? () from /usr/lib/kde4/plugins/styles/oxygen.so
0000018 0xb6eea3cd in QToolButton::paintEvent () from /usr/lib/libQtGui.so.4
0000019 0xb6b1f84b in QWidget::event () from /usr/lib/libQtGui.so.4
0000020 0xb6e08f6e in QAbstractButton::event () from /usr/lib/libQtGui.so.4
0000021 0xb6ee77d4 in QToolButton::event () from /usr/lib/libQtGui.so.4
0000022 0xb6ac782c in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
0000023 0xb6acf79a in QApplication::notify () from /usr/lib/libQtGui.so.4
0000024 0xb7d406ad in KApplication::notify () from /usr/lib/libkdeui.so.5
0000025 0xb73e0a71 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
0000026 0xb6b284fe in ?? () from /usr/lib/libQtGui.so.4
0000027 0xb6b1e210 in QWidgetPrivate::drawWidget () from /usr/lib/libQtGui.so.4
0000028 0xb6b1e9bd in QWidgetPrivate::paintSiblingsRecursive () from /usr/lib/libQtGui.so.4
0000029 0xb6b1e8c9 in QWidgetPrivate::paintSiblingsRecursive () from /usr/lib/libQtGui.so.4
0000030 0xb6b1de88 in QWidgetPrivate::drawWidget () from /usr/lib/libQtGui.so.4
0000031 0xb6b1e9bd in QWidgetPrivate::paintSiblingsRecursive () from /usr/lib/libQtGui.so.4
0000032 0xb6b1de88 in QWidgetPrivate::drawWidget () from /usr/lib/libQtGui.so.4
0000033 0xb6b1e9bd in QWidgetPrivate::paintSiblingsRecursive () from /usr/lib/libQtGui.so.4
0000034 0xb6b1e8c9 in QWidgetPrivate::paintSiblingsRecursive () from /usr/lib/libQtGui.so.4
0000035 0xb6b1e8c9 in QWidgetPrivate::paintSiblingsRecursive () from /usr/lib/libQtGui.so.4
0000036 0xb6b1de88 in QWidgetPrivate::drawWidget () from /usr/lib/libQtGui.so.4
0000037 0xb6b1e9bd in QWidgetPrivate::paintSiblingsRecursive () from /usr/lib/libQtGui.so.4
0000038 0xb6b1de88 in QWidgetPrivate::drawWidget () from /usr/lib/libQtGui.so.4
0000039 0xb6b1e9bd in QWidgetPrivate::paintSiblingsRecursive () from /usr/lib/libQtGui.so.4
0000040 0xb6b1de88 in QWidgetPrivate::drawWidget () from /usr/lib/libQtGui.so.4
0000041 0xb6b1e9bd in QWidgetPrivate::paintSiblingsRecursive () from /usr/lib/libQtGui.so.4
0000042 0xb6b1de88 in QWidgetPrivate::drawWidget () from /usr/lib/libQtGui.so.4
0000043 0xb6b1e9bd in QWidgetPrivate::paintSiblingsRecursive () from /usr/lib/libQtGui.so.4
0000044 0xb6b1e8c9 in QWidgetPrivate::paintSiblingsRecursive () from /usr/lib/libQtGui.so.4
0000045 0xb6b1de88 in QWidgetPrivate::drawWidget () from /usr/lib/libQtGui.so.4
0000046 0xb6b1e9bd in QWidgetPrivate::paintSiblingsRecursive () from /usr/lib/libQtGui.so.4
0000047 0xb6b1de88 in QWidgetPrivate::drawWidget () from /usr/lib/libQtGui.so.4
0000048 0xb6b1e9bd in QWidgetPrivate::paintSiblingsRecursive () from /usr/lib/libQtGui.so.4
0000049 0xb6b1de88 in QWidgetPrivate::drawWidget () from /usr/lib/libQtGui.so.4
0000050 0xb6b1e9bd in QWidgetPrivate::paintSiblingsRecursive () from /usr/lib/libQtGui.so.4
0000051 0xb6b1de88 in QWidgetPrivate::drawWidget () from /usr/lib/libQtGui.so.4
0000052 0xb6c8d54e in ?? () from /usr/lib/libQtGui.so.4
0000053 0xb6c8d905 in ?? () from /usr/lib/libQtGui.so.4
0000054 0xb6c8d973 in ?? () from /usr/lib/libQtGui.so.4
0000055 0xb6b2bc56 in ?? () from /usr/lib/libQtGui.so.4
0000056 0xb6b37f78 in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
0000057 0xb6b611fc in ?? () from /usr/lib/libQtGui.so.4
#58 0xb61622d9 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000059 0xb616585b in ?? () from /usr/lib/libglib-2.0.so.0
0000060 0xb61659d8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000061 0xb740b208 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
0000062 0xb6b608c5 in ?? () from /usr/lib/libQtGui.so.4
0000063 0xb73e1b36 in QCoreApplication::processEvents () from /usr/lib/libQtCore.so.4
0000064 0x080feccf in ProjectList::updateAllClips (this=0x8590808) at /home/subzero/kdenlive/wizard/kdenlive/src/projectlist.cpp:559
0000065 0x080d11e1 in MainWindow::connectDocument (this=0x8492950, trackView=0x8f937f0, doc=0x8ea7c80) at /home/subzero/kdenlive/wizard/kdenlive/src/mainwindow.cpp:1798
0000066 0x080d60eb in MainWindow::activateDocument (this=0x8492950) at /home/subzero/kdenlive/wizard/kdenlive/src/mainwindow.cpp:1222
0000067 0x080e8e91 in MainWindow::qt_metacall (this=0x8492950, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0xbfecb76c) at /home/subzero/kdenlive/wizard/kdenlive/src/cmake_bindir/mainwindow.moc:261
0000068 0xb73f5740 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000069 0xb73f64c2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000070 0xb6ece703 in QTabWidget::currentChanged () from /usr/lib/libQtGui.so.4
0000071 0xb6ed0564 in ?? () from /usr/lib/libQtGui.so.4
0000072 0xb6ed0717 in QTabWidget::qt_metacall () from /usr/lib/libQtGui.so.4
0000073 0xb7e433da in KTabWidget::qt_metacall () from /usr/lib/libkdeui.so.5
0000074 0xb73f5740 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000075 0xb73f64c2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000076 0xb6ec71b3 in QTabBar::currentChanged () from /usr/lib/libQtGui.so.4
0000077 0xb6ecbf3a in QTabBar::setCurrentIndex () from /usr/lib/libQtGui.so.4
0000078 0xb6ecd88a in QTabBar::insertTab () from /usr/lib/libQtGui.so.4
0000079 0xb6ed01c7 in QTabWidget::insertTab () from /usr/lib/libQtGui.so.4
0000080 0xb6ed02fa in QTabWidget::addTab () from /usr/lib/libQtGui.so.4
0000081 0x080d5cd3 in MainWindow::doOpenFile (this=0x8492950, url=@0x8c92684, stale=0x8f9e548) at /home/subzero/kdenlive/wizard/kdenlive/src/mainwindow.cpp:1392
0000082 0x080d7b99 in MainWindow::openFile (this=0x8492950, url=@0x8c92684) at /home/subzero/kdenlive/wizard/kdenlive/src/mainwindow.cpp:1375
0000083 0x080e8dab in MainWindow::qt_metacall (this=0x8492950, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbfecbddc) at /home/subzero/kdenlive/wizard/kdenlive/src/cmake_bindir/mainwindow.moc:254
0000084 0xb73f5740 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000085 0xb73f64c2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000086 0xb7c6b893 in KRecentFilesAction::urlSelected () from /usr/lib/libkdeui.so.5
0000087 0xb7c6bc5d in ?? () from /usr/lib/libkdeui.so.5
0000088 0xb7c6bdd3 in KRecentFilesAction::qt_metacall () from /usr/lib/libkdeui.so.5
0000089 0xb73f5740 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000090 0xb73f64c2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000091 0xb7c6f5d3 in KSelectAction::triggered () from /usr/lib/libkdeui.so.5
0000092 0xb7c70fd0 in KSelectAction::actionTriggered () from /usr/lib/libkdeui.so.5
0000093 0xb7c722a4 in KSelectAction::qt_metacall () from /usr/lib/libkdeui.so.5
0000094 0xb7c6bd1a in KRecentFilesAction::qt_metacall () from /usr/lib/libkdeui.so.5
0000095 0xb73f5740 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000096 0xb73f64c2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000097 0xb6ac6053 in QActionGroup::triggered () from /usr/lib/libQtGui.so.4
0000098 0xb6ac6928 in ?? () from /usr/lib/libQtGui.so.4
0000099 0xb6ac6b3e in QActionGroup::qt_metacall () from /usr/lib/libQtGui.so.4
0000100 0xb73f5740 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000101 0xb73f5b40 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000102 0xb6ac1591 in QAction::triggered () from /usr/lib/libQtGui.so.4
0000103 0xb6ac1eff in QAction::activate () from /usr/lib/libQtGui.so.4
0000104 0xb6e9f584 in ?? () from /usr/lib/libQtGui.so.4
0000105 0xb6ea0032 in QMenu::mouseReleaseEvent () from /usr/lib/libQtGui.so.4
0000106 0xb7e1f735 in KMenu::mouseReleaseEvent () from /usr/lib/libkdeui.so.5
0000107 0xb6b1fa62 in QWidget::event () from /usr/lib/libQtGui.so.4
0000108 0xb6ea2329 in QMenu::event () from /usr/lib/libQtGui.so.4
0000109 0xb6ac782c in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
0000110 0xb6ad0081 in QApplication::notify () from /usr/lib/libQtGui.so.4
0000111 0xb7d406ad in KApplication::notify () from /usr/lib/libkdeui.so.5
0000112 0xb73e0a71 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
0000113 0xb6acf30e in QApplicationPrivate::sendMouseEvent () from /usr/lib/libQtGui.so.4
0000114 0xb6b399fe in ?? () from /usr/lib/libQtGui.so.4
0000115 0xb6b38b1d in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
0000116 0xb6b611fc in ?? () from /usr/lib/libQtGui.so.4
0000117 0xb61622d9 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000118 0xb616585b in ?? () from /usr/lib/libglib-2.0.so.0
0000119 0xb61659d8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000120 0xb740b208 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
0000121 0xb6b608c5 in ?? () from /usr/lib/libQtGui.so.4
0000122 0xb73df14a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
0000123 0xb73df30a in QEventLoop::exec () from /usr/lib/libQtCore.so.4
0000124 0xb73e19a5 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
0000125 0xb6ac76a7 in QApplication::exec () from /usr/lib/libQtGui.so.4
0000126 0x080ca467 in main (argc=4, argv=0xbfecd384) at /home/subzero/kdenlive/wizard/kdenlive/src/main.cpp:86
0xb229f1ad 601 *dest_buf++ = src[ x >> 16 ] ^ invert;
(gdb) where full
(gdb) #0 0xb229f1ad in transition_get_image (a_frame=0xaea146e8, image=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at transition_composite.c:601
    progressive = 1
    luma_softness = 0
    luma_bitmap = (uint16_t *) 0xaa94b028
    operator = <value optimized out>
    line_fn = <value optimized out>
    field = <value optimized out>
    width_b = 1440
    height_b = 1080
    alpha_b = (uint8_t *) 0x0
    rescale = 0x905a658 "nearest"
    result = {item = {key = 0, frame = 97, distort = 0, x = 0, y = 0, w = 1440, h = 1080, mix = 100, f = {0, 0, 0, 0, 0}}, nw = 1440, nh = 1080, sw = 1440, sh = 1080, halign = 0, valign = 0, x_src = 0, y_src = 0}
    delta = 0.49999999999999994
    image_b = (uint8_t *) 0xaaf4d028 "\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200\020\200"...
    alpha_a = (uint8_t *) 0xadefd028 ""
    b_frame = (mlt_frame) 0xaea15dd8
    this = (mlt_transition) 0x959cb50
    position = 97
    out = <value optimized out>
    in = <value optimized out>
#1 0xb7f9a974 in mlt_frame_get_image (this=0xaea146e8, buffer=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at mlt_frame.c:261
    position = 2760
    get_image = (mlt_get_image) 0xb229e8b0 <transition_get_image>
    error = <value optimized out>
0000002 0xb7fac0de in producer_get_image (this=0x959c920, buffer=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at mlt_tractor.c:274
    data = <value optimized out>
0000003 0xb7f9a974 in mlt_frame_get_image (this=0x959c920, buffer=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at mlt_frame.c:261
    position = 2760
    get_image = (mlt_get_image) 0xb7fabf70 <producer_get_image>
    error = <value optimized out>
0000004 0xb465e685 in filter_get_image (this=0x959c920, image=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at filter_avcolour_space.c:104
    forced = <value optimized out>
    error = -1323388588
0000005 0xb7f9a974 in mlt_frame_get_image (this=0x959c920, buffer=0xb11eb384, format=0xb11eb390, width=0xb11eb388, height=0xb11eb38c, writable=0) at mlt_frame.c:261
    position = 2760
    get_image = (mlt_get_image) 0xb465e5f0 <filter_get_image>
    error = <value optimized out>
0000006 0xb467ca05 in consumer_thread (arg=0x8cd7928) at consumer_sdl_still.c:457
    frame = (mlt_frame) 0x959c920
    vfmt = mlt_image_rgb24a
    height = 1080
    width = 1440
    image = (uint8_t *) 0x0
    preview_off = 0
0000007 0xb7290175 in start_thread () from /lib/libpthread.so.0
No symbol table info available.
0000008 0xb6811dae in clone () from /lib/libc.so.6
No symbol table info available.
(gdb) quit
The program is running. Exit anyway? (y or n) [answered Y; input not from terminal]
TagsNo tags attached.
Build/Install MethodBuild Wizard
Attached Files

- Relationships

-  Notes
(0002628)
administrator (administrator)
2009-04-04 20:22

Seems to be an issue with MLT's transition_composite file, I can reproduce here...
(0002632)
administrator (administrator)
2009-04-04 22:15

Patch sent to MLT's mailing list, so issue should be fixed soon
(0002658)
administrator (administrator)
2009-04-06 08:46

Issue should now be fixed with MLT's current svn
(0002666)
subik (reporter)
2009-04-06 18:50

yep, the crash has gone. Thank you for really fast bugfix.

- Issue History
Date Modified Username Field Change
2009-04-04 08:45 subik New Issue
2009-04-04 08:45 subik Build/Install Method => Build Wizard
2009-04-04 20:22 administrator Note Added: 0002628
2009-04-04 20:22 administrator Status new => acknowledged
2009-04-04 22:15 administrator Note Added: 0002632
2009-04-06 08:46 administrator Note Added: 0002658
2009-04-06 08:46 administrator Status acknowledged => feedback
2009-04-06 18:50 subik Note Added: 0002666
2009-04-07 12:19 administrator Status feedback => resolved
2009-04-07 12:19 administrator Resolution open => fixed
2009-04-07 12:19 administrator Fixed in Version => Recent git
2009-04-15 13:07 madsdyd Fixed in Version Recent git => 0.7.3
2009-06-18 01:51 xzhayon Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker